### Method

# Camel ObjectBag rekey

#### Declaration [src]

    void
    camel_object_bag_rekey (
      CamelObjectBag* bag,
      gpointer object,
      gconstpointer new_key
    )

#### Description [src]

Changes the key for `object` to `new_key`, atomically.

It is considered a programming error if `object` is not found in `bag`. In such case the function will emit a terminal warning and return.

#### Parameters

`object`

  Type: `gpointer`

  A `GObject`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`new_key`

  Type: `gconstpointer`

  A new key for `object`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.